Mailinglist Archive: opensuse-factory (244 mails)

< Previous Next >
[opensuse-factory] chromaprint needs rebuild after ffmpeg changes - Tumbleweed snapshot 20180712
Hi,

libchromaprint currently links against the libraries from ffmpeg 2.8.x, while
it builds and works fine with ffmpeg-4, see its devel project, multimedia:libs:

https://build.opensuse.org/package/show/multimedia:libs/chromaprint
https://build.opensuse.org/package/binary/multimedia:libs/chromaprint/openSUSE_Tumbleweed/x86_64/libchromaprint1-1.4.3-41.9.x86_64.rpm

There are likely several more affected packages, see:
https://build.opensuse.org/package/binary/openSUSE:Factory/ffmpeg-2/standard/x86_64/libavutil54-2.8.14-1.1.x86_64.rpm

Kind regards,

Stefan

________________________________________
Sent: Saturday, July 14, 2018 01:00
Subject: [opensuse-factory] New Tumbleweed snapshot 20180712 released!


Packages changed:
ffmpeg-3
ffmpeg-4
gjs
grub2
libproxy
libproxy-plugins
libqt5-qtwayland
mutter
polkit-default-privs
sddm
xdg-desktop-portal-kde (5.13.2 -> 5.13.3)

=== Details ===

==== ffmpeg-3 ====
Subpackages: libavcodec57 libavfilter6 libavformat57 libavresample3 libavutil55
libpostproc54 libswresample2 libswscale4

- Fix typo in swresample name
- Conditionalize vidstab so it gets working on Leap
- full_build only on Leap 42 and 15, not on TW
- Add macros to allow conflicting with all other devel projects
to ensure we always install only one specific ffmpeg
- Enable vidstab on tumbleweed
- Conditionalize pkgconfig(libopenjpeg) and pkgconfig(sdl2)
BuildRequires: Fix build for SLE 12 SP3.
- Enable pkgconfig(vidstab) BuildRequires unconditionally, now
available in openSUSE.
- Conditionalize zimg for Leap 42.3
- Split out the develpkgs again
- Use %autopatch
- Sync with ffmpeg-4

==== ffmpeg-4 ====
Subpackages: libavcodec58 libavdevice58 libavfilter7 libavformat58
libavresample4 libavutil56 libpostproc55 libswresample3 libswscale5

- Fix typo in swresample name
- Conditionalize full build to be primary only on Leap15+
- Add macros to allow conflicting with all other devel projects
to ensure we always install only one specific ffmpeg
- Conditionalize the vidstab build to not pull it on old releases



--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >